#declare T_Shroud =
texture {
	pigment{
		gradient x+y
		color_map {
			[0.0 rgb <0.392, 0.196, 0.078>]
			[0.5 rgb <0.392, 0.196, 0.078>]
			[0.5 rgb <0.525, 0.353, 0.196>]
			[1.0 rgb <0.525, 0.353, 0.196>]
		}
		scale .2
	}
	finish {phong 0.5}
}

#declare T_Shroud2 = texture{pigment{Black}finish{phong 0.5}}

#declare M1_Cross3_Half =
union {
	cylinder {<0,0,0><10,0,0>0.5 pigment{Black}}
	cylinder {<10,0,0><11,0,0>0.75 pigment{Black}}
	cylinder {<11,0,0><25,0,0>,0.5 pigment{Black}}
	cylinder {<25,0,0><35,0,0>,.5}
	sphere {<35,0,0>,.5}
	box {<1,.5,0><2,-.5,2> pigment{Black}}
}

#declare M1_Cross3 =
union {
	object {M1_Cross3_Half}
	object {M1_Cross3_Half scale <-1,1,1>}
}

#declare M1_Upper =
union {
	box {<1,0,1><-1,7,-1>}
	cylinder {<0,7,0><0,12,0>,1}
	box {<2,12,2><-2,13,-2>}
	box {<2,12,0><1,13,4>}
	box {<-2,12,0><-1,13,4>}
	cone {<0,13,0>,1<0,65,0>0.5}
	sphere {<0,65,0>1}

	object {M1_Cross3 translate <0,35,-1> pigment{White}}
}

#declare M1_Lower =
union {
	cylinder {<0,0,0><0,86,0>,2}	// base of mast
	box {<2,78,0><-2,81,-2>}		// first cross connector

	box {<2,86,2><-2,96,-2>}
	difference {
		union {
			box {<2,86,0><1,98,-5>}
			box {<-2,86,0><-1,98,-5>}
		}
		box {<100,100,0><-100,-100,-100> rotate<-30,0,0> translate <0,94,-5>}
	}
	box {<1.5,96,2><-1.5,122,-1>}
	box {<1.5,120,2><-1.5,122,4>}
}

#declare M1_Land1 =
union {
	difference {
		intersection {
			cylinder {<0,2,8.75><0,3,8.75>,21.75 }
			box {<15,0,-15><-15,5,11>}
		}
		box {<3.5,-5,-6><6,10,5>}
		box {<-3.5,-5,-6><-6,10,5>}
	}
	box {<-13.5,3,9.5><13.5,4,11>}
	intersection {
		difference {
			cylinder {<0,3,8.75><0,4,8.75>,21.75 }
			cylinder {<0,0,8.75><0,5,8.75>,20.25 }
		}
		box {<15,0,-15><-15,5,11>}
	}
	box {<-13.5,1,-7><13.5,2,-6>}
	box {<-13.5,1,6><13.5,2,5>}

	box {<-3.5,0,11><-2.5,2,-12>}
	box {<3.5,0,11><2.5,2,-12>}
}

#declare M1_Cross1_Half =
union {
	cylinder {<0,0,0><15,0,0>1.25 pigment{Black}}
	cylinder {<15,0,0><16,0,0>1.75 pigment{Black}}
	cone {<16,0,0>,1.25,<44,0,0>,0.6974 pigment{Black}}
	cone {<44,0,0>,0.5987,<54,0,0>,.5}
	sphere {<54,0,0>,.5}
	box {<2,-1.25,0><3,1.25,3> pigment{Black}}
}

#declare M1_Cross1 =
union {
	object {M1_Cross1_Half}
	object {M1_Cross1_Half scale <-1,1,1>}
}

#declare M1_Land2 =
union {
	box {<6,0,-4><-6,1,-6>}
	box {<6,0,-2><-6,1,-1>}
	box {<6,0,1><-6,1,2>}
	box {<-1,0,-6><-2,1,3>}
	box {<1,0,-6><2,1,3>}
}

#declare M1_Cross2_Half =
union {
	cylinder {<0,0,0><12,0,0>.75 pigment{Black}}
	cylinder {<12,0,0><13,0,0>1.25 pigment{Black}}
	cone {<13,0,0>,.75,<35,0,0>,0.5781 pigment{Black}}
	cone {<35,0,0>,0.5781,<45,0,0>,.5}
	sphere {<45,0,0>,.5}
	box {<1,-.75,0><2,.75,1.5> pigment{Black}}
}

#declare M1_Cross2 =
union {
	object {M1_Cross2_Half}
	object {M1_Cross2_Half scale <-1,1,1>}
}

#include "shroud2.inc"

#declare M1_Mid =
union {
	box {<1.5,0,1.5><-1.5,12,-1.5>}
	cylinder {<0,12,0><0,28,0>,1.5}
	box {<2.5,28,2.5><-2.5,30,-2.5>}
	box {<2.5,28,2.5><1.5,30,7.5>}
	box {<-2.5,28,2.5><-1.5,30,7.5>}
	cone {<0,30,0>,1.5,<0,80,0>,1}
	box {<1,80,1><-1,99,-1>}
	cone {<0,80,0>,1,<0,86,0>,2}

	object {M1_Land2 translate <0,86,0>}
	object {M1_Cross2 translate <0,75,-1.5> pigment{White}}

	object {M1_Upper translate <0,86,-4>}

	object {Shroud2 rotate <0,90,0> rotate <0,0,-8> translate <-2,88,0> texture{T_Shroud}}
	object {Shroud2 rotate <0,90,0> rotate <0,0,8> translate <2,88,0> texture{T_Shroud}}
}

#include "shroud1.inc"
#include "sail1.inc" 
#include "flag.inc"

#declare Mast1 =
union {
	object {M1_Lower texture{T_Timber4}}
	object {M1_Land1 translate <0,96,0>}
	object {M1_Cross1 translate <0,79.5,-3.25> pigment{White}}
	object {M1_Mid translate <0,92,-5> texture{T_Timber4}}

	object {Shroud1 rotate <0,90,0> rotate <0,0,-20> translate <-5,96,0> texture{T_Shroud}}
	object {Shroud1 rotate <0,90,0> rotate <0,0,20> translate <5,96,0> texture{T_Shroud}}

	object {S1_Base rotate <-20,0,0> translate <-10.2549,-107.5000,0> rotate <0,90,0> rotate <0,0,-20> translate <-5,96,0> pigment{White}}

	object {Main_Sail rotate <-90,180,0>}   
	object {Flag rotate <-90,180,0> translate <0,8,0>}
}

#declare M2_Cross1_Half =
union {
	cylinder {<0,0,0><15,0,0>1 pigment{Black}}
	cylinder {<15,0,0><16,0,0>1.25 pigment{Black}}
	cone {<16,0,0>,1,<40,0,0>,0.5987 pigment{Black}}
	cone {<40,0,0>,0.5987,<50,0,0>,.5}
	sphere {<50,0,0>,.5}
	box {<1,-1,0><2,1,3> pigment{Black}}
}

#declare M2_Cross1 =
union {
	object {M2_Cross1_Half}
	object {M2_Cross1_Half scale <-1,1,1>}
}

#declare M2_Cross2_Half =
union {
	cylinder {<0,0,0><15,0,0>.75 pigment{Black}}
	cylinder {<15,0,0><16,0,0>1 pigment{Black}}
	cone {<16,0,0>,.75,<30,0,0>,0.5987 pigment{Black}}
	cone {<30,0,0>,0.5987,<40,0,0>,.5}
	sphere {<40,0,0>,.5}
	box {<1,-.75,0><2,.75,3> pigment{Black}}
}

#declare M2_Cross2 =
union {
	object {M2_Cross2_Half}
	object {M2_Cross2_Half scale <-1,1,1>}
}

#declare M2_Mid =
union {
	box {<1,0,1><-1,16,-1>}
	box {<2.5,13,-2.5><-2.5,16,7>}
	cylinder {<0,16,0><0,80,0>,1}
	cone {<0,80,0>,1,<0,90,0>,.5}
	sphere {<0,90,0>,1}

	object {M2_Cross2 translate <0,55,-1> pigment{White}}
}

#declare M2_Lower =
union {
	cylinder {<0,0,0><0,50,0>,1.5}
	box {<1.5,50,1.5><-1.5,73,-1.5>}
	difference {
		union {
			box {<1.5,50,1.5><2.5,57,-3.5>}
			box {<-1.5,50,1.5><-2.5,57,-3.5>}
		}
		box {<100,100,0><-100,-100,-100> rotate <-30,0,> translate <0,50,0>}
	}
	box {<1.5,70,3.5><-1.5,73,-1.5>}
	cylinder {<0,40,0><0,40.5,0>,2}
	cylinder {<0,42,0><0,42.5,0>,2}

	object {M2_Mid translate <0,57,-2.5>}
	object {M2_Cross1 translate <0,41.25,-1.5> pigment{White}}
}

#declare M2_Rear =
union {
	cone {<0,-1.1213,3.7071>,1,<0,-1.1213,63.7071>,.5}
	sphere {<0,-1.1213,63.7071>,.5}
	box {<2.5,-2.1213,0.7071><-2.5,-0.1213,3.7071>}
	box {<2.5,1,2><-2.5,-1,-2> rotate <45,0,0>}
}

#include "shroud3.inc"
#include "sail2.inc"

#declare Mast2 =
union {
	object {M2_Lower texture{T_Timber4}}
	object {M1_Land1 scale<.7333,1,.7333> translate <0,57,0>}
	object {M2_Rear rotate <-45,0,0> translate <0,41.25,0> texture{T_Timber5}}

	object {Shroud3 rotate <0,90,0> rotate <0,0,-32.5> translate <-2,62,0> texture{T_Shroud}}
	object {Shroud3 rotate <0,90,0> rotate <0,0,32.5> translate <2,62,0> texture{T_Shroud}}

	object {S2_Base rotate <-32.5,0,0> translate <-4.6135,-82.5,0> rotate <0,90,0> rotate <0,0,-32.5> translate <-2,62,0> pigment{White}}

	object {Rear_Sail rotate <-90,180,0>}
}



